{% load crispy_forms_tags %}
{% load static %}
{% load templatetags %}


<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>Retraction Watch Database</title>

    <!-- Custom fonts for this template-->
    <link href="/static/vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
    <link
        href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i"
        rel="stylesheet">

    <!-- Custom styles for this template-->
    <link href="/static/css/sb-admin-2.css" rel="stylesheet">

    <script type="text/javascript" src="{% static 'admin/js/vendor/jquery/jquery.js' %}"></script>

    <script type="text/javascript" src="{% static '/js/ac.js' %}"></script>

    <script type="text/javascript" src="{% static '/js/sorttable.js' %}"></script>

    <script>
        window.django = {jQuery: jQuery.noConflict(false)};
    </script>



</head>

<body id="page-top">

    <!-- Page Wrapper -->
    <div id="wrapper">

        {% include "include/nav.html" %}

        <!-- Content Wrapper -->
        <div id="content-wrapper" class="d-flex flex-column">

            <!-- Main Content -->
            <div id="content">

                <!-- Topbar -->
                <nav class="navbar navbar-expand navbar-light bg-white topbar mb-4 static-top shadow">

                    <!-- Sidebar Toggle (Topbar) -->
                    <button id="sidebarToggleTop" class="btn btn-link d-md-none rounded-circle mr-3">
                        <i class="fa fa-bars"></i>
                    </button>

                    <!-- Topbar Navbar -->
                    <ul class="navbar-nav ml-auto">

                        <div class="topbar-divider d-none d-sm-block"></div>

                        <!-- Nav Item - User Information -->
                        <li class="nav-item dropdown no-arrow">
                            {% if user.is_authenticated %}
                                <a class="nav-link" href="/logout">
                                    <span class="mr-2 d-none d-lg-inline text-gray-600 small">Logout</span>
                                </a>
                            {% else %}
                                <a class="nav-link" href="/login">
                                    <span class="mr-2 d-none d-lg-inline text-gray-600 small">Login</span>
                                </a>
                            {% endif %}
                        </li>

                    </ul>

                </nav>
                <!-- End of Topbar -->

                <!-- Begin Page Content -->
                <div class="container-fluid">

                    <!-- Page Heading -->
                    <div class="d-sm-flex align-items-center justify-content-between mb-4">
                        <h1 class="h3 mb-0 text-gray-800">Retraction Watch Database: Unapproved Items</h1>
                    </div>

                    <div class="row">

                        <!-- Area Chart -->
                        <div class="col-xl-12 col-lg-12">
                            <div class="card shadow mb-4">
                                <!-- Card Header - Dropdown -->
                                <div
                                    class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                                    <h6 class="m-0 font-weight-bold text-primary">Search Results</h6>
                                    <div class="dropdown no-arrow">
                                        <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink"
                                            data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                            <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                                        </a>
                                        <div class="dropdown-menu dropdown-menu-right shadow animated--fade-in"
                                            aria-labelledby="dropdownMenuLink">
                                            <div class="dropdown-header">Search:</div>
                                            <a class="dropdown-item" href="#">Clear Search</a>

                                        </div>
                                    </div>
                                </div>
                                <!-- Card Body -->
                                <div class="card-body">
                                    <table id="search" class="table-bordered sortable" style="width: 100%;">
                                        <thead class="table-primary">
                                            <tr>
                                                <th>Retraction or Other Notices<br/>
                                                    Title/Subject(s)/Journal --- Publisher/Affiliation(s)/Retraction Watch Post URL(s)</th>
                                                <th>Reasons</th>
                                                <th>Authors</th>
                                                <th>Original Paper<br/>Date/PubMedID/DOI</th>
                                                <th>Retraction or Other Notice<br/>Date/PubMedID/DOI</th>
                                                <th>Article Types<br/>Nature of Notice</th>
                                                <th>Notes</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            {% for update in updates %}
                                                <tr>
                                                    <!-- title, subject, journal etc.-->
                                                    <td>
                                                        <h5>{{ update.title }}</h5>
                                                        <hr style="margin:0px;"/>
                                                        {% for subject in update.subjects.all %}
                                                            {{ subject }};
                                                        {% endfor %}
                                                        <br/>
                                                        {{ update.journal_of_original }}
                                                        <br/>
                                                        {{ update.publisher_of_original }}
                                                        <hr style="margin:0px;"/>
                                                        {% for institution in update.institutions.all %}
                                                            {{ institution }}<br/>
                                                        {% endfor %}
                                                    </td>
                                                    <!-- reasons -->
                                                    <td>
                                                        <ul>
                                                            {% for reason in update.reasons.all %}
                                                                <li>{{ reason }}</li>
                                                            {% endfor %}
                                                        </ul>
                                                    </td>
                                                    <!-- authors -->
                                                    <td>
                                                        <ul>
                                                            {% for author in update.authors.all %}
                                                                <li><a href="{% url "author" author.id %}">{{ author.main_name.last_name }}, {{ author.main_name.first_name }}</a></li>
                                                            {% endfor %}
                                                        </ul>
                                                    </td>
                                                    <td>
                                                        {% if update.original_date %}{{ update.original_date }}<br/>{% endif %}
                                                        {% if update.journal_of_original %}{{ update.journal_of_original }}<br/>{% endif %}
                                                        {% if update.original_paper_pubmed_id %}{{ update.original_paper_pubmed_id }}<br/>{% endif %}
                                                        {% if update.original_paper_url %}<a href="{{ update.original_paper_url }}">{{ update.original_paper_url }}</a><br/>{% endif %}
                                                        {% if update.original_paper_doi %}<a href="https://doi.org/{{ update.original_paper_doi }}">https://doi.org/{{ update.original_paper_doi }}</a>{% endif %}
                                                    </td>
                                                    <td>
                                                        {{ update.notice_date }}<br/>
                                                        {% if update.journal_of_notice %}{{ update.journal_of_notice }}<br/>{% endif %}
                                                        {% if update.notice_paper_pubmed_id %}{{ update.notice_paper_pubmed_id }}<br/>{% endif %}
                                                        {% if update.notice_paper_url %}<a href="{{ update.notice_paper_url }}">{{ update.notice_paper_url }}</a><br/>{% endif %}
                                                        {% if update.notice_paper_doi %}<a href="https://doi.org/{{ update.notice_paper_doi }}">https://doi.org/{{ update.notice_paper_doi }}</a>{% endif %}
                                                    </td>
                                                    <td>
                                                        {{ update.article_type }}
                                                        <hr style="margin:0px;"/>
                                                        {{ natures|get_item:update.nature_of_notice }}
                                                        {% if request.user.is_authenticated %}
                                                        <hr style="margin:0px;"/>
                                                        <a href="{% url "edit_update" update.id %}">Edit</a>
                                                        {% endif %}
                                                    </td>
                                                    <td>
                                                        {{ update.notes }}
                                                    </td>
                                                </tr>
                                            {% endfor %}
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>


                </div>
                <!-- /.container-fluid -->

            </div>
            <!-- End of Main Content -->

            <!-- Footer -->
            <footer class="sticky-footer bg-white">
                <div class="container my-auto">
                    <div class="copyright text-center my-auto">
                        <span>Copyright &copy; Retraction Watch 2023</span>
                    </div>
                </div>
            </footer>
            <!-- End of Footer -->

        </div>
        <!-- End of Content Wrapper -->

    </div>
    <!-- End of Page Wrapper -->

    <!-- Scroll to Top Button-->
    <a class="scroll-to-top rounded" href="#page-top">
        <i class="fas fa-angle-up"></i>
    </a>

    <!-- Logout Modal-->
    <div class="modal fade" id="logoutModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Ready to Leave?</h5>
                    <button class="close" type="button" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
                <div class="modal-body">Select "Logout" below if you are ready to end your current session.</div>
                <div class="modal-footer">
                    <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancel</button>
                    <a class="btn btn-primary" href="../templates/registration/login.html">Logout</a>
                </div>
            </div>
        </div>
    </div>

    <!-- Bootstrap core JavaScript-->
    <script src="/static/vendor/jquery/jquery.min.js"></script>
    <script src="/static/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>

    <!-- Core plugin JavaScript-->
    <script src="/static/vendor/jquery-easing/jquery.easing.min.js"></script>

    <!-- Custom scripts for all pages-->
    <script src="/static/js/sb-admin-2.min.js"></script>

</body>

</html>